Subject: I-D Action: draft-ietf-i2nsf-nsf-monitoring-data-model-15.txt

From: [email-masked]
Date: Tue, 15 Feb 2022 08:25:00 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Interface to Network Security Functions WG of the IETF.

        Title           : I2NSF NSF Monitoring Interface YANG Data Model
        Authors         : Jaehoon (Paul) Jeong
                          Patrick Lingga
                          Susan Hares
                          Liang (Frank) Xia
                          Henk Birkholz
	Filename        : draft-ietf-i2nsf-nsf-monitoring-data-model-15.txt
	Pages           : 98
	Date            : 2022-02-15

Abstract:
   This document proposes an information model and the corresponding
   YANG data model of an interface for monitoring Network Security
   Functions (NSFs) in the Interface to Network Security Functions
   (I2NSF) framework.  If the monitoring of NSFs is performed with the
   NSF monitoring interface in a standard way, it is possible to detect
   the indication of malicious activity, anomalous behavior, the
   potential sign of denial-of-service attacks, or system overload in a
   timely manner.  This monitoring functionality is based on the
   monitoring information that is generated by NSFs.  Thus, this
   document describes not only an information model for the NSF
   monitoring interface along with a YANG tree diagram, but also the
   corresponding YANG data model.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-i2nsf-nsf-monitoring-data-model/

There is also an htmlized version available at:
https://datatracker.ietf.org/doc/html/draft-ietf-i2nsf-nsf-monitoring-data-model-15

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-i2nsf-nsf-monitoring-data-model-15

Internet-Drafts are also available by rsync at rsync.ietf.org::internet-drafts